@charset "UTF-8";

//----------------------------------------------
.well {
  @include box-shadow(none);
  border-radius: 0;

  &.well-blank {
    background-color: #fff;
  }

  &.border-radius-base {
    border-radius: $border-radius-base;
  }

  &.well-title-on-border {
    position: relative;
    padding-top: 35px;

    .title {
      position: absolute;
      top: -.75em;
      right: 0;
      left: 0;
      padding-right: 1.5%;
      padding-left: 1.5%;
      margin: 0;

      .bg {
        display: inline-block;
        padding: 3px 12px;
        line-height: 1.1;
        background: #fff;
        border: 1px solid #000;
      }
    }
  }
}

//----------------------------------------------
.well-overview {
  padding: 30px 26px 30px 58px;
  margin-bottom: 50px;
  color: #1e374e;
  background-color: #d8dcdf;
  border: 0;

  @media (max-width: $screen-xs-max) {
    padding: 20px;
    margin-bottom: 25px;
  }

  .media-left {
    padding-right: 40px;

    @media (min-width: $screen-sm-min) {
      border-right: 1px solid #1e374e;
    }

    @media (max-width: $screen-xs-max) {
      padding-bottom: 10px;
      border-bottom: 1px solid #1e374e;
    }
  }

  .media-body {
    @media (min-width: $screen-sm-min) {
      padding-left: 26px;
    }

    @media (max-width: $screen-xs-max) {
      padding-top: 10px;
    }
  }

  .dl-list-indent {
    + .dl-list-indent {
      margin-top: 7px;
    }

    dt {
      min-width: 100px;
      font-weight: bold;

      @media (max-width: $screen-xs-max) {
        min-width: 80px;
      }
    }

    dd {
      line-height: 1.563;
    }
  }
}

//----------------------------------------------
.well-dark {
  padding: 18px 10px;
  margin-bottom: 0;
  font-size: 18px;
  font-weight: bold;
  color: #dadada;
  line-height: 1.556;
  text-align: center;
  border: 0;
  border-radius: 11px;
  background-color: #474747;

  @media (max-width: $screen-xs-max) {
    padding: 9px 5px;
    font-size: 14px;
  }
}

//----------------------------------------------
.well-has-ribbon {
  background-color: #fff;

  .ribbon {
    padding-right: 30px;
    padding-bottom: 7px;
    background-color: #fff;

    @media (max-width: $screen-sm-max) {
      padding-right: 15px;
    }

    &.blue {
      dt {
        background-color: #1f89ca;
      }
    }

    .dl-list-indent {
      margin-left: -31px;
      overflow: visible;

      dt,
      dd {
        vertical-align: middle;
      }

      dt {
        position: relative;
        min-width: 110px;
        padding: 8px 3px 6px;
        color: #fff;
        text-align: center;
        border-radius: 0;

        @media (min-width: $screen-sm-min) {
          font-size: 16px;
        }

        &:before {
          position: absolute;
          bottom: -12px;
          left: 0;
          width: 0;
          height: 0;
          border-color: transparent #03263b transparent transparent;
          border-style: solid;
          border-width: 0 12px 12px 0;
          content: "";
        }
      }

      dd {
        padding: 7px 14px 5px;
        font-weight: bold;
        color: #1f89ca;
        background-color: #d2e7f4;
        border-top-right-radius: 5px;
        border-bottom-right-radius: 5px;

        @media (min-width: $screen-sm-min) {
          font-size: 16px;
        }
      }
    }
  }
}
